| tmr_manager Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Functions
xtmr_manager_recovery_example.c File Reference

## Overview

This file contains the example using tmr_manager and tmr_inject drivers to perform an error injection and recovery.

H/W Requirements: In order to test this example at the hardware design level both TMR Manager and TMR Inject IP needs to be present, and TMR Manager Recover signal needs to be connected to Microblaze processor Suspend port.

S/W Requirements: To inject the error using the tmr inject IP, As per hardware implementation, the error function which injects the error should be executed from the lmb memory. Inorder to run this examples text and data sections in linker should point to LMB memory.

Note

None

MODIFICATION HISTORY:

    Ver   Who  Date  Changes

    1.3     adk  02/23/22 First release
    1.7   adk  04/04/25 Ported example to the SDT flow.

## Functions
int | TMR_ManagerRecoveryExample (u16 TMRManagerDeviceId, u16 TMRInjectDeviceId)
| This function does a minimal test on the TMR_Manager device and driver as a design example. More...
int | main (void)
| Main function to call the example. More...

## Function Documentation

int main | ( | void |  | ) |

Main function to call the example.

This function is not included if the example is generated from the TestAppGen test tool.

Parameters

  None. |

Returns
  XST_SUCCESS if successful, otherwise XST_FAILURE.

Note
  None.

References TMR_ManagerRecoveryExample().

int TMR_ManagerRecoveryExample | ( | u16 | TMRManagerDeviceId,
|  | u16 | TMRInjectDeviceId
| ) |  |

This function does a minimal test on the TMR_Manager device and driver as a design example.

The purpose of this function is to illustrate how to use the XTMR_Manager component.

Parameters

  TMRManagerDeviceId | is the XPAR_<tmr_manager_instance>_DEVICE_ID value from xparameters.h.
  TMRInjectDeviceId | is the XPAR_<tmr_inject_instance>_DEVICE_ID value from xparameters.h.

Returns
  XST_SUCCESS if successful, otherwise XST_FAILURE.

Note
  None.

References XTMR_Manager_Stats::RecoveryCount, XTMR_Manager_Initialize(), XTMR_Manager_SelfTest(), and XTMR_Manager_SetPreResetHandler().

Referenced by main().